import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Random;

public class main {
    public static void main(String[] args) {
        Collection collection;
        
        Random r = new Random();
        r.setSeed(System.currentTimeMillis());

        if (args.length < 4) {
            System.exit(1);
        }

        String type = args[0];
        int size = Integer.parseInt(args[1]);
        String op = args[2];
        int sizeOp = Integer.parseInt(args[3]);

        switch (args[0]) {
            default: {
                collection = new ArrayList();
                break;
            }
            case "LinkedList": {
                collection = new LinkedList();
                break;
            }
            case "Set": {
                collection = new HashSet();
            }
        }

        for (int i = 0; i < size; ++i) {
            collection.add(r.nextInt());
        }

        switch (op) {
            default: {
                for (int i = 0; i < sizeOp; ++i) {
                    collection.add(r.nextInt());
                }
                break;
            }
            case "contains": {
                for (int i = 0; i < sizeOp; ++i) {
                    collection.contains(r.nextInt());
                }
                break;
            }
            case "remove": {
                for (int i = 0; i < sizeOp; ++i) {
                    collection.remove(r.nextInt());
                }
            }
        }
    }
}