#!/bin/bash

#[ $# -lt 1 ] && { echo "usage: $(basename $0) stuctType " 1>&2; exit 1; }

#case "$1" in
#	ArrayList)	;;
#	LinkedList)	;;
#	Set)	;;
#	*)	{ echo "The strucType must be either an ArrayList, a LinkedList or a Set"; exit 1; } ;;
#esac

#structType="$1"    # {ArrayList || LinkedList || Set}

structType[0]="ArrayList"
structType[1]="LinkedList"
structType[2]="Set"

structSize[0]=1000
structSize[1]=25000
structSize[2]=50000
structSize[3]=75000
structSize[4]=100000

operationSize[0]=1000 
operationSize[1]=25000
operationSize[2]=50000
operationSize[3]=75000
operationSize[4]=100000

operationType[0]="add"
operationType[1]="contains"
operationType[2]="remove"

echo -e "Size\tOperation\tOpSize\tType\tTime\tMem"

for size in ${structSize[*]}; do
	for operation in ${operationType[*]}; do
		for opSize in ${operationSize[*]}; do
			for type in ${structType[*]}; do
				echo -ne "$size\t$operation\t$opSize\t$type"
				/usr/bin/time -f "\t%U\t%M" java -cp . main $type $size $operation $opSize 2>&1
			done
		done
	done
done
